<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.yifu.insurances.mapper.TInsuranceSettleMapper">

    <resultMap id="BaseResultMap" type="com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceSettle">
            <id property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="insDetailId" column="INS_DETAIL_ID" jdbcType="VARCHAR"/>
            <result property="settleHandleStatus" column="SETTLE_HANDLE_STATUS" jdbcType="VARCHAR"/>
            <result property="settleType" column="SETTLE_TYPE" jdbcType="TINYINT"/>
            <result property="actualPremium" column="ACTUAL_PREMIUM" jdbcType="DECIMAL"/>
            <result property="estimatePremium" column="ESTIMATE_PREMIUM" jdbcType="DECIMAL"/>
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="UPDATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="isActualPush" column="IS_ACTUAL_PUSH" jdbcType="TINYINT"/>
            <result property="isEstimatePush" column="IS_ESTIMATE_PUSH" jdbcType="TINYINT"/>
            <result property="actualPushTime" column="ACTUAL_PUSH_TIME" jdbcType="TIMESTAMP"/>
            <result property="estimatePushTime" column="ESTIMATE_PUSH_TIME" jdbcType="TIMESTAMP"/>
            <result property="settleDoneTime" column="SETTLE_DONE_TIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,INS_DETAIL_ID,SETTLE_HANDLE_STATUS,
        SETTLE_TYPE,ACTUAL_PREMIUM,ESTIMATE_PREMIUM,
        CREATE_TIME,UPDATE_TIME,IS_ACTUAL_PUSH,
        IS_ESTIMATE_PUSH,ACTUAL_PUSH_TIME,ESTIMATE_PUSH_TIME,
        SETTLE_DONE_TIME
    </sql>
</mapper>
